* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  min-height: 100vh;
  font-family: "Montserrat", sans-serif;
  color: #f9f9f9;
  background-color: #14161f;
}

header {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin-bottom: 40px;
  height: 220px;
}

header h1 {
  margin-top: 30px;
  margin-bottom: 10px;
  font-size: 64px;
  font-weight: 200;
}

header p {
  font-size: 24px;
  margin-bottom: 10px;
}

.error-info {
  color: rgb(255, 104, 104);
  margin-top: 10px;
  font-weight: 200;
}

.all {
  display: flex;
  justify-content: center;
}
.incomes-and-expenses {
  display: flex;
}

.income-all,
.expense-all,
.menu {
  margin: 0 20px;
  padding: 30px;

  border: 1px solid rgba(211, 211, 211, 0.2);
  display: flex;
  flex-direction: column;
}

.income-all,
.expense-all {
  width: 500px;
  justify-content: space-between;
}

.menu {
  width: 300px;
  height: 410px;
}

.menu label {
  margin-bottom: 10px;
  font-size: 22px;
}

.menu input,
.menu select {
  width: 100%;
  margin-bottom: 20px;
  font-size: 18px;
  padding: 5px 10px;
  border: 1px solid #fff;
  border-radius: 5px;
  color: #fff;
  background-color: #14161f;
}

.add-btn {
  margin-top: 20px;
  padding: 5px 10px;
  font-size: 20px;
  border: none;
  border-radius: 5px;
  color: black;
  background-color: rgb(245, 245, 245);
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
}

.add-btn:hover {
  color: black;
  background-color: rgb(210, 207, 207);
}

.income-title,
.expense-title {
  margin-bottom: 30px;
  font-size: 25px;
  text-align: center;
}

.income-title {
  color: rgb(19, 200, 108);
}

.expense-title {
  color: rgb(255, 104, 104);
}

.transaction {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 18px;
  padding: 10px 0;
  border-bottom: 1px solid rgba(211, 211, 211, 0.2);
}

.summary h3 {
  justify-self: flex-end;
  margin-top: 30px;
}

.transactioln-right-side {
  display: flex;
}

.transaction-amount {
  margin-left: auto;
}

.transaction-amount,
.edit {
  margin-right: 10px;
}

.edit,
.delete {
  padding: 3px 6px;
  background-color: #f9f9f9;
  border-radius: 5px;
  font-size: 17px;
  border: none;
  border-radius: 5px;
  color: black;
  background-color: rgb(245, 245, 245);
  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
}

.edit:hover {
  color: black;
  background-color: rgb(210, 207, 207);
}

.delete:hover {
  color: black;
  background-color: rgb(210, 207, 207);
}

.tools {
  display: flex;
  align-items: center;
}

.popup {
  display: none;
  justify-content: center;
  flex-wrap: wrap;
  padding: 40px;
  align-items: center;
  flex-direction: column;
  position: fixed;
  bottom: 220px;
  left: 50%;
  transform: translateX(-50%);
  width: 1000px;
  color: black;
  background-color: #f9f9f9;
  border-radius: 5px;
  border-radius: 5px;
}

.popup h3 {
  margin-bottom: 24px;
  font-size: 28px;
  color: rgb(0, 132, 255);
}

.popup-info {
  margin-bottom: 20px;
  color: rgb(255, 104, 104);
  text-align: center;
  font-size: 20px;
}

.popup label {
  font-size: 20px;
  font-weight: 400;
  margin-right: 5px;
}

.popup input {
  font-size: 20px;
  margin-right: 10px;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;

  background-color: rgba(217, 217, 217, 0.695);
}

.btns {
  margin-top: 20px;
}
.popup-btn {
  display: inline-block;
  padding: 10px 22px;
  font-size: 20px;
  margin: 20px;
  border: none;
  border-radius: 5px;
  color: rgb(245, 245, 245);
  background-color: rgb(0, 132, 255);

  cursor: pointer;
  transition: background-color 0.3s, color 0.3s;
}

.popup-btn:hover {
  color: #fff;
  background-color: rgb(6, 115, 216);
}
